import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _SRDevice extends _NSObject {
    static alloc(): _SRDevice;
    static new(): _SRDevice;
    init(): _SRDevice;
    static currentDevice(): _SRDevice;
    /** e.g. "My iPhone" */
    name(): _NSString;
    /** e.g. @"iPhone" */
    model(): _NSString;
    /** e.g. @"iOS" */
    systemName(): _NSString;
    /** e.g. @"4.0" */
    systemVersion(): _NSString;
    /** e.g. @"Watch3,4" */
    productType(): _NSString;
}
export interface _SRDevice extends _NSSecureCoding, _NSCopying {
}
